Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161853 - nautilus connects as different user than specified to an SMB share
Summary: nautilus connects as different user than specified to an SMB share
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-vfs2
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tomáš Bžatek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-27 20:43 UTC by Dan Williams
Modified: 2015-03-03 22:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 13:23:49 UTC


Attachments (Terms of Use)
ethereal capture of traffic (deleted)
2005-06-27 20:43 UTC, Dan Williams
no flags Details

Description Dan Williams 2005-06-27 20:43:24 UTC
I am logged in as root (don't ask), but when doing the File->Connect to Server
dialog, I enter the user name 'roderick'.  This connects to the server but keeps
bringing up the password dialog in an endless loop.  Ethereal trace indicates
that the local machine is attempting to use the 'root' username to connect
rather than than 'roderick'.

Comment 2 Alexander Larsson 2005-06-28 09:26:35 UTC
What is the actual URI of the connect-to-server setting in gconf?
if its sftp://server/dir/ its a nautilus bug, if its sftp://roderick@server/dir
then its a gnome-vfs bug.


Comment 3 Dan Williams 2005-06-28 13:15:49 UTC
Its smb://roderick@server/share

-> gnome-vfs2 then

Comment 4 Jiri Pallich 2012-06-20 13:23:49 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.